AXISTEST(9)

NAME

axistest - Used to allow testing of an axis. Used IN PnCconf.

SYNOPSIS

loadrt axistest [count=N|names=name1[,name2...]]

FUNCTIONS

axistest.N.update (requires a floating-point thread)

PINS

axistest.N.jog-minus bit in
    Drive TRUE to jog the axis in its negative ('minus') direction.

axistest.N.jog-plus bit in
    Drive TRUE to jog the axis in its positive direction.

axistest.N.run bit in
    Drive TRUE to run the axis near its current position_fb with a trapezoidal velocity profile.

axistest.N.maxvel float in
    Maximum velocity

axistest.N.amplitude float in
    Approximate amplitude of positions to command during 'run'

axistest.N.dir s32 in
    Direction from central point to test: 0 = both, 1 = positive, 2 = negative

axistest.N.position-cmd float out

axistest.N.position-fb float in

axistest.N.running bit out

axistest.N.run-target float out

axistest.N.run-start float out

axistest.N.run-low float out

axistest.N.run-high float out

axistest.N.pause s32 in (default: 0)
    Pause time for each end of run in seconds

PARAMETERS

axistest.N.epsilon float rw (default: .001)

axistest.N.elapsed float r
    Current value of the internal timer

AUTHOR

Chris S. Morley

LICENSE

GPL